Skip to main content
Transactions

List all transactions

To improve efficiency and developer experience, most empty transaction fields are omitted from the response. Fields that are marked as required in the API specification are always included, even if they are empty.

GET
/finance/transactions
Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

omit_sensitive_identifiersbooleanquery

Omit sensitive financial account/card number identifiers, certain direct identifiers, and external transaction identifiers from the response. If you include financial_account in your request, sensitive financial account identifiers will also be omitted. See the financial account endpoint for more information. Currently, the following fields will be omitted: debtor.iban, debtor.bban, creditor.iban, creditor.bban, debtor.pan, debtor.masked_pan, creditor.pan, creditor.masked_pan, debtor.msisdn, creditor.msisdn, external_identifiers.institution_transaction_id, external_identifiers.integrator_transaction_id, external_identifiers.end_to_end_id, external_identifiers.entry_reference, external_identifiers.check_id, external_identifiers.mandate_id.

with_available_financial_accountsbooleanquery

Include a list of available financial accounts in the response meta.

disable_rulesbooleanquery

Return raw transaction data without applying the account's output rules. Only available to platform API clients; delegated apps always receive rule-shaped data.

page[size]integerquerydefault:25

The number of results that will be returned per page.

page[number]integerquery

The page number to start the pagination from.

filter[financial_account.name]stringquery
filter[financial_account.display_name]stringquery
filter[financial_account.bban]stringquery
filter[financial_account.iban]stringquery
filter[debtor.bban]stringquery
filter[debtor.iban]stringquery
filter[creditor.bban]stringquery
filter[creditor.iban]stringquery
filter[creditor.name]stringquery
filter[debtor.name]stringquery
filter[external_identifiers.institution_transaction_id]stringquery
filter[remittance_information.structured]stringquery
filter[remittance_information.unstructured]stringquery
filter[remittance_information.structured_array]stringquery
filter[remittance_information.unstructured_array]stringquery
filter[id]stringquery
filter[financial_account_id]stringquery
filter[booked]stringquery
filter[currency]stringquery
filter[additional_information]stringquery
filter[additional_information_structured]stringquery
filter[additional_data_structured]stringquery
filter[booking_date_after]stringquery

Only include transactions whose booking date is on or after this date (inclusive), e.g. 2026-06-01.

filter[booking_date_before]stringquery

Only include transactions whose booking date is on or before this date (inclusive), e.g. 2026-06-30.

filter[value_date_after]stringquery

Only include transactions whose value date is on or after this date (inclusive).

filter[value_date_before]stringquery

Only include transactions whose value date is on or before this date (inclusive).

filter[transfer_status]stringquery
filter[reference]stringquery

Filter by the owning connection's caller-supplied correlation id (see financial_connections.reference). Exact match, single or comma-separated multi-value: ?filter[reference]=my-user-123 ?filter[reference]=my-user-123,my-user-456

Search for transactions by commonly populated fields, such as debtor name, creditor name, remittance information, etc.

sortenum<string>[]querydefault:["-id"]
includeenum<string>[]query

Response

application/json

Paginated set of TransactionResource

dataobject[]required
metaobjectrequired